perl-modules upgrade attempted before perl was configured

Bug #1450498 reported by Matey-jack on 2015-04-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
Undecided
Unassigned

Bug Description

I started the upgrade with "sudo do-release-upgrade".
From 14-10 to 15-05

It failed and told me to send you /var/log/dist-upgrade/{apt,main}.log
Since those files didn't contain all info from the console output I also copied a few hundred lines from there into a third file which I manually attached here.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: ubuntu-release-upgrader-core 1:0.220.7
ProcVersionSignature: Ubuntu 3.13.0-49.83-generic 3.13.11-ckt17
Uname: Linux 3.13.0-49-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.10
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: Unity
Date: Thu Apr 30 16:35:04 2015
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: release-upgrade
UpgradeStatus: Upgraded to utopic on 2015-04-30 (0 days ago)
mtime.conffile..etc.update.manager.release.upgrades: 2015-01-22T10:30:43.858956

Matey-jack (matey-jack) wrote :
description: updated
Brian Murray (brian-murray) wrote :

The relevant messages appear in VarLogDistupgradeApttermlog.txt:

Preparing to unpack .../perl_5.20.1-1_amd64.deb ...
Unpacking perl (5.20.1-1) over (5.18.2-2ubuntu1) ...
Preparing to unpack .../perl-base_5.20.1-1_amd64.deb ...
Unpacking perl-base (5.20.1-1) over (5.18.2-2ubuntu1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up perl-base (5.20.1-1) ...
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 288218 files and directories currently installed.)
Preparing to unpack .../perl-modules_5.20.1-1_all.deb ...
Unpacking perl-modules (5.20.1-1) over (5.18.2-2ubuntu1) ...
dpkg: dependency problems prevent configuration of perl-modules:
 perl-modules depends on perl (>= 5.20.1-1); however:
  Package perl is not configured yet.

dpkg: error processing package perl-modules (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 perl-modules

affects: ubuntu-release-upgrader (Ubuntu) → dpkg (Ubuntu)
summary: - perl dependency problem breaks upgrade to vivid release
+ perl-modules upgrade attempted before perl was installed
summary: - perl-modules upgrade attempted before perl was installed
+ perl-modules upgrade attempted before perl was configured
To post a comment you must log in.